import { AddReq,EditReq, DelReq,UserPageQuery } from '@fast-crud/fast-crud';
import { request } from '/@/utils/service';

export const apiPrefix = '/api/system/articles/';
export function GetList(query: UserPageQuery) {
	return request({
		url: apiPrefix+"device-manuals/",
		method: 'get',
		params: query,
	});
}
// export function GetObj(id: InfoReq) {
// 	return request({
// 		url: apiPrefix + id,
// 		method: 'get',
// 	});
// }

export function AddObj(obj: AddReq) {
	return request({
		url: apiPrefix+"add-device-manual/",
		method: 'post',
		data: obj,
	});
}

export function UpdateObj(obj: EditReq) {
	return request({
		// url: apiPrefix+"device-manuals/"+ obj.article + '/',
		url: "/api/system/device-manuals/"+ obj.id + '/',
		method: 'put',
		data: obj,
	});
}

export function DelObj(id: DelReq) {
	return request({
		url: apiPrefix  + id + '/',
		method: 'delete',
		data: { id },
	});
}

export function GetPermission() {
    return request({
        url: apiPrefix,
        method: 'get',
    });
}
